#
# Conditional build:
%bcond_with	qt6	# Qt 6 instead of Qt 5

Summary:	FCE Ultra - Linux Nintendo Entertainment System emulator
Summary(pl.UTF-8):	FCE Ultra - linuksowy emulator systemu Nintendo
Name:		fceultra
Version:	2.6.6
Release:	3
License:	GPL v2+
Group:		X11/Applications/Games
#Source0Download: https://fceux.com/web/download.html
# TODO: use named tarballs
#Source0:	https://github.com/TASEmulators/fceux/archive/v%{version}/fceux-%{version}.tar.gz
Source0:	https://github.com/TASEmulators/fceux/archive/refs/tags/v%{version}.tar.gz
# Source0-md5:	8e1aede624ebe26f0a936daba3b87328
URL:		https://fceux.com/
BuildRequires:	OpenGL-devel
BuildRequires:	SDL2-devel >= 2.0
BuildRequires:	cmake >= 3.8
# libavcodec libavformat libavutil libswresample libswscale
BuildRequires:	ffmpeg-devel
BuildRequires:	libarchive-devel
BuildRequires:	libx264-devel
BuildRequires:	libx265-devel
BuildRequires:	lua51-devel >= 5.1
BuildRequires:	minizip-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.605
# checked but not used
#BuildRequires:	xorg-lib-libX11-devel
#BuildRequires:	xorg-lib-libxkbcommon-devel
BuildRequires:	zlib-devel
%if %{with qt6}
BuildRequires:	Qt6Core-devel >= 6.0
BuildRequires:	Qt6Gui-devel >= 6.0
BuildRequires:	Qt6Help-devel >= 6.0
BuildRequires:	Qt6OpenGL-devel >= 6.0
BuildRequires:	Qt6Widgets-devel >= 6.0
BuildRequires:	qt6-build >= 6.0
Requires:	Qt6Gui-platform-xcb-glx >= 5.11
%else
BuildRequires:	Qt5Core-devel >= 5.11
BuildRequires:	Qt5Gui-devel >= 5.11
BuildRequires:	Qt5Help-devel >= 5.11
BuildRequires:	Qt5OpenGL-devel >= 5.11
BuildRequires:	Qt5Widgets-devel >= 5.11
BuildRequires:	qt5-build >= 5.11
Requires:	Qt5Gui-platform-xcb-glx >= 5.11
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FCE Ultra is a cross platform, NTSC and PAL Famicom/NES emulator.

%description -l pl.UTF-8
FCE Ultra to wieloplatformowy emulator konsoli Famicom/NES/Pegasus.

%prep
%setup -q -n fceux-%{version}

%build
CFLAGS="%{rpmcflags}"
CXXFLAGS="%{rpmcxxflags}"
mkdir -p build
cd build
%cmake .. \
	-DQHELP=ON \
	%{?with_qt6:-DQT6=ON}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
        DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_mandir}/man6
%{__mv} documentation/fceux.6 $RPM_BUILD_ROOT%{_mandir}/man6
%{__mv} documentation/fceux-net-server.6 $RPM_BUILD_ROOT%{_mandir}/man6

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO-SDL changelog.txt readme.md documentation/*
%attr(755,root,root) %{_bindir}/fceux
%dir %{_datadir}/fceux
%dir %{_datadir}/fceux/luaScripts
%dir %{_datadir}/fceux/palettes
%dir %{_datadir}/fceux/tools
%{_datadir}/fceux/*.{dll,chm}
%{_datadir}/fceux/luaScripts/*
%{_datadir}/fceux/palettes/*
%{_datadir}/fceux/tools/*
%{_mandir}/man6/fceux-net-server.6*
%{_mandir}/man6/fceux.6*
%{_pixmapsdir}/fceux1.png
%{_desktopdir}/fceux.desktop
%changelog
* Sat Mar 02 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fceultra.git;a=log;h=master

* Sat Mar 02 2024 Jakub Bogusz <qboosh@pld-linux.org> 6bed159
- completed dependencies, release 3 (libx264 0.164)

* Mon Oct 16 2023 Jan Rękorajski <baggins@pld-linux.org> 4db4bb8
- Release 2 (by relup.sh)

* Mon Sep 18 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> a7cc409
- up to 2.6.6

* Thu Mar 24 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 9eeb124
- up to 2.6.4

* Mon Mar 07 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 57c3802
- up to 2.6.3

* Fri Feb 04 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7d25f59
- up to 2.6.2

* Mon Jan 17 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> af09aca
- up to 2.6.1

* Mon Jan 17 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d8c97fc
- up to 2.6.0

* Fri Oct 22 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> aad6486
- up to 2.5.0

* Fri Jun 25 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 53e9181
- up to 2.4.0

* Fri Jun 18 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6f2ad28
- fixing debug packages

* Sat Jun 05 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c26c118
- fixed requirements

* Sat Jun 05 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f81e99a
- up to 2.3.0

* Sun Jul 14 2013 Jan Rękorajski <baggins@pld-linux.org> c5baaea
- updated to 2.2.1

* Thu Jul 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 090fcaa
- release 5 (by relup.sh)

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> 0658dcb
- builds now

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> d6b3c3f
- fix -build.patch
- pass CC, CXX, CFLAGS, LDFLAGS and LIBS
- rlease 4 (rebuild against libpng-1.5)

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c3f2a9f
- release 3

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d1980c
- release 2

* Tue Aug 16 2011 lisu <lisu@pld-linux.org> 3b60063
- don't declare asprintf again

